      SUBROUTINE PCOEFF(ALPHA,N,X,A,C,T)
      REAL X(1),A(N),C(N)
      DOUBLE PRECISION XX,R,T(N)
      IF (N.GT.1) GO TO 10
      C(1) = A(1)
      RETURN
C
   10 XX = ALPHA
      NM1 = N-1
      DO 11 I=1,N
   11 T(I) = A(I)
C
      DO 21 I=1,NM1
      J = N-I
      R = XX-DBLE(X(J))
      DO 20 K=J,NM1
   20 T(K) = T(K)+R*T(K+1)
   21 CONTINUE
C
      DO 30 I=1,N
   30 C(I) = T(I)
      RETURN
      END
